SellOMatic_Item = LibStub("AceAddon-3.0"):NewAddon("SellOMatic_Item", "AceEvent-3.0", "AceConsole-3.0");
local SellOMatic = _G.SellOMatic

local function getOption(info)
	return (info.arg and SellOMatic.db.profile[info.arg] or SellOMatic.db.profile[info[#info]]);
end;

local function setOption(info, value)
	local key = info.arg or info[#info];
	SellOMatic.db.profile[key] = value;
end;

local item_options = {
	type = "group",
	name = "Item Options",
	args = {
		allowBoP = {
			name = "Sell BoP",
			desc = "Toggle ON/OFF selling green soulbound items.",
			order = 1,
			type = "toggle",
			get = getOption,
			set = setOption,
		},
		allowBoE = {
			name = "Sell BoE",
			desc = "Toggle ON/OFF selling green bind on equip items.",
			order = 2,
			type = "toggle",
			get = getOption,
			set = setOption,
		},
		allowWhite = {
			name = "Sell common",
			desc = "Toggle ON/OFF selling common (white) items.",
			order = 3,
			type = "toggle",
			get = getOption,
			set = setOption,
		},
		allowBlue = {
			name = "Allow Blue",
			desc = "Toggle ON/OFF selling blue quality items.",
			order = 4,
			type = "toggle",
			get = getOption,
			set = setOption,
		},
		allowEpic = {
			name = "Allow Epic",
			desc = "Toggle ON/OFF selling epic quality items.",
			order = 5,
			type = "toggle",
			get = getOption,
			set = setOption,
		},
		useILevel = {
			name = "Use iLevel",
			desc = "Toggles ON/OFF selling items by iLevel.",
			order = 6,
			type = "toggle",
			get = getOption,
			set = setOption,
		},
		iLevelValue = {
			name = "iLevel value",
			desc = "Items below the iLevel value set will be sold",
			order = 7,
			type = "range",
			min = 1,
			max = 200,
			step = 1,
			get = getOption,
			set = setOption,
		},
	},
}

function SellOMatic_Item:OnInitialize()
	LibStub("AceConfig-3.0"):RegisterOptionsTable("SellOMatic_Item", item_options);
	LibStub("AceConfigDialog-3.0"):AddToBlizOptions("SellOMatic_Item", "Item Options", "Sell-O-Matic");
end;


